Skip to main content
GET
List Agent Response Tests

Headers

x-api-key
string | null

Your API key for programmatic access. Send it in the x-api-key header; you can create and manage keys from the Developers page.

Query Parameters

cursor
string | null

Used for fetching next page. Cursor is returned in the response.

page_size
integer
default:30

How many Tests to return at maximum. Can not exceed 100, defaults to 30.

Required range: 1 <= x <= 100
search
string | null

Search query to filter tests by name.

parent_folder_id
string | null

Filter by parent folder ID. Use 'root' to get items in the root folder.

types
enum<string>[] | null

If present, the endpoint will return only tests/folders of the given types.

Available options:
llm,
tool,
simulation,
folder
sort_mode
enum<string>
default:default

Sort mode for listing tests. Use 'folders_first' to place folders before tests.

Available options:
default,
folders_first
sharing_mode
enum<string>
default:all

Filter test visibility. Use shared_with_me to return only tests/folders shared with the current user that they did not create.

Available options:
all,
shared_with_me

Response

Successful Response

tests
UnitTestSummaryResponseModel · object[]
required
has_more
boolean
required
next_cursor
string | null